.PHONY: init droplet

.DEFAULT-GOAL: droplet

droplet: init .vagrant/secret.yaml
	vagrant up --provider=digital_ocean

init: ansible/vars/admin-users.yml

clean:
	@rm -rf ansible/vars

# Retrieve Consensus-specific admin-users config to grant Consensus users access to the droplet:
ansible/vars/admin-users.yml: ansible/vars
	@curl -o ansible/vars/admin-users.yml https://gitlab.com/consensus.enterprises/admin-users-config/raw/master/vars/admin-users.yml

ansible/vars:
	@mkdir -p ansible/vars

.vagrant/secret.yaml:
	$(error You need a Vagrant secret file; please see README.md)
